package com.hw.mes.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 托盘信息对象 mes_base_pallet_info
 *
 * @author Yinq
 * @date 2024-04-15
 */
public class MesBasePalletInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 托盘ID */
    private Long palletInfoId;

    /** 托盘信息RFID编码，不能修改 */
    @Excel(name = "托盘信息RFID编码，不能修改")
    private String palletInfoCode;

    /** 物料ID，关联物料信息主键 */
    @Excel(name = "物料ID，关联物料信息主键")
    private Long materialId;

    /** 物料编号 */
    @Excel(name = "物料编号")
    private String materialCode;

    /** 物料名称 */
    @Excel(name = "物料名称")
    private String materialName;

    /** 物料条码 */
    @Excel(name = "物料条码")
    private String materialBarcode;

    /** 绑定数量 */
    @Excel(name = "绑定数量")
    private BigDecimal bindAmount;

    public void setPalletInfoId(Long palletInfoId)
    {
        this.palletInfoId = palletInfoId;
    }

    public Long getPalletInfoId()
    {
        return palletInfoId;
    }
    public void setPalletInfoCode(String palletInfoCode)
    {
        this.palletInfoCode = palletInfoCode;
    }

    public String getPalletInfoCode()
    {
        return palletInfoCode;
    }
    public void setMaterialId(Long materialId)
    {
        this.materialId = materialId;
    }

    public Long getMaterialId()
    {
        return materialId;
    }
    public void setMaterialCode(String materialCode)
    {
        this.materialCode = materialCode;
    }

    public String getMaterialCode()
    {
        return materialCode;
    }
    public void setMaterialName(String materialName)
    {
        this.materialName = materialName;
    }

    public String getMaterialName()
    {
        return materialName;
    }
    public void setMaterialBarcode(String materialBarcode)
    {
        this.materialBarcode = materialBarcode;
    }

    public String getMaterialBarcode()
    {
        return materialBarcode;
    }
    public void setBindAmount(BigDecimal bindAmount)
    {
        this.bindAmount = bindAmount;
    }

    public BigDecimal getBindAmount()
    {
        return bindAmount;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("palletInfoId", getPalletInfoId())
                .append("palletInfoCode", getPalletInfoCode())
                .append("materialId", getMaterialId())
                .append("materialCode", getMaterialCode())
                .append("materialName", getMaterialName())
                .append("materialBarcode", getMaterialBarcode())
                .append("remark", getRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("bindAmount", getBindAmount())
                .toString();
    }
}
